.blog-section {
  padding: 110px 0;
  background-color: #ffffff;
}

.blog-section-title {
  font-size: 54px;
  line-height: 55px;
  font-weight: 700;
  margin: 0 0 60px 0;
  font-family: "playfair display", serif;
  color: #222222;
}

.blog-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 30px 24px;
}

.blog-item {
  position: relative;
}

.blog-item:nth-child(1) {
  grid-row-start: 1;
  grid-row-end: span 2;
}

.blog-item:nth-child(2) {
  grid-row-start: 1;
}

.blog-item:nth-child(3) {
  grid-row-start: span 1;
  grid-row-end: auto;
}

.blog-item:nth-child(4) {
  grid-row-start: 1;
  grid-row-end: span 2;
}


.blog-card {
  display: block;
  position: relative;
  overflow: hidden;
  border-radius: 0;
  text-decoration: none;
  color: inherit;
  height: 100%;
  transition: transform 0.3s ease;
}


.blog-image {
  position: relative;
  width: 100%;
  padding-bottom: 73.4%;
  overflow: hidden;
}

.blog-item:nth-child(1) .blog-image,
.blog-item:nth-child(4) .blog-image {
  height: auto;
  padding-bottom: 196%;
}

.blog-image img {
  border-radius: 2px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.5s ease;
}

.blog-card:hover .blog-image img {
  transform: scale(1.1);
}


.blog-title {
  font-size: 24px;
  line-height: 28px;
  font-weight: 600;
  margin: 0;
  color: #222222;
  transition: color 0.3s ease;
  border-top: 1px solid rgba(34, 34, 34, 0.5);
  padding-top: 38px;
  padding-bottom: 50px;
  letter-spacing: 0.64px;
}

.blog-item:nth-child(4) .blog-title {
  padding-bottom: 20px;
}

/* Mobile Layout */
@media (max-width: 1040.98px) {
  .blog-title {
    font-size: 20px;
    line-height: 28px;
    padding-top: 20px;
    padding-bottom: 20px;
  }

  .blog-item:nth-child(4) .blog-title {
    padding-bottom: 20px;
  }
}

@media (max-width: 991.98px) {
  .blog-item:nth-child(1) .blog-image {
    height: auto;
    padding-bottom: 218%;
  }

  .blog-item:nth-child(4) .blog-image {
    height: auto;
    padding-bottom: 208%;
  }

  .blog-image {
    padding-bottom: 77.2%;
  }
}

@media (max-width: 767.98px) {
  .blog-section {
    padding: 50px 0;
  }

  .blog-section-title {
    font-size: 35px;
    margin-bottom: 36px;
  }

  .blog-item:nth-child(1) {
    width: 100%;
  }

  .blog-item:nth-child(2) {
    width: 100%;
  }

  .blog-item:nth-child(3) {
    width: 100%;
  }

  .blog-item:nth-child(4) {
    width: 100%;
  }



  .blog-image {
    padding-bottom: 60%;
  }

  .blog-item-large .blog-image {
    padding-bottom: 60%;
  }




  .blog-grid {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 48px;
  }

  .blog-section {
    padding: 50px 0;
  }

  .blog-section-title {
    font-size: 35px;
    line-height: 36px;
    margin: 0 0 50px 0;
  }

  .blog-item:nth-child(1) .blog-image,
  .blog-item:nth-child(4) .blog-image {
    height: auto;
    padding-bottom: 60%;
  }

  .blog-title {
    font-size: 24px;
    line-height: 28px;
    padding-bottom: 26px;
  }
}